# Class PrivilegedSetAccessControlContext

java.lang.Object
org.apache.tomcat.util.security.PrivilegedSetAccessControlContext

All Implemented Interfaces:
  `PrivilegedAction<Void>`

public class PrivilegedSetAccessControlContext extends Object implements PrivilegedAction<Void>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PrivilegedSetAccessControlContext(Thread t)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Void`
  `run()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PrivilegedSetAccessControlContext

    public PrivilegedSetAccessControlContext(Thread t)

- ## Method Details

  - ### run

    public Void run()
    Specified by:
      `run` in interface `PrivilegedAction<Void>`